Bug 178135 - Integrated (post install) module build system error (httpd-2.0.54-10).
Integrated (post install) module build system error (httpd-2.0.54-10).
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 18:11 EST by bkyoung
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: httpd-2.2.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 22:21:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Support patches and files. (1.38 KB, application/octet-stream)
2006-01-17 18:13 EST, bkyoung
no flags Details

  None (edit)
Description bkyoung 2006-01-17 18:11:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Integrated (post install) module build system requires attached patches to successfully complete the following target (for a simple module):

make DESTDIR=/whatever/ install



Version-Release number of selected component (if applicable):
httpd-2.0.54-10

How reproducible:
Always

Steps to Reproduce:
apxs -n simple -g
cd simple
make
make DESTDIR=/whatever/ install


Actual Results:  the make install target fails (but only if DESTDIR=/whatever/ is added.)

Expected Results:  Built DSO module should have been installed into DESTDIR.

Additional info:

All the following are in httpd-2.0.54-10.fc4-fixfiles.tar.gz.

BEGIN setup.sh
#!/bin/sh

echo "Setting up"
WD=$(pwd)

cd /usr/lib/httpd/build || exit
patch -p0 -b < $WD/config_vars.mk.patch || exit

cd $WD

cp -vfp mkdir.sh /usr/lib/httpd/build || exit

echo "Checking..."
/bin/sh mod_simple.sh || exit
echo "Success"
exit
END setup.sh

BEGIN mod_simple.sh
#!/bin/sh

if test -d simple; then
    echo removing previous mod_simple
    rm -rf simple
fi

/usr/sbin/apxs -n simple -g || exit
cd simple
make || exit
make DESTDIR=`pwd`/dest install || exit

END mod_simple.sh

NOTE:This is copied from 2.0.54 distribution, but supplied for completeness.
BEGIN mkdir.sh
#!/bin/sh
#
# Copyright 1999-2005 The Apache Software Foundation or its licensors, as
# applicable.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# 
# mkdir.sh -- make directory hierarchy
#
# Based on `mkinstalldirs' from Noah Friedman <friedman@prep.ai.mit.edu>
# as of 1994-03-25, which was placed in the Public Domain.
# Cleaned up for Apache's Autoconf-style Interface (APACI)
# by Ralf S. Engelschall <rse apache.org>

umask 022
errstatus=0
for file in ${1+"$@"} ; do 
    set fnord `echo ":$file" |\
               sed -e 's/^:\//%/' -e 's/^://' -e 's/\// /g' -e 's/^%/\//'`
    shift
    pathcomp=
    for d in ${1+"$@"}; do
        pathcomp="$pathcomp$d"
        case "$pathcomp" in
            -* ) pathcomp=./$pathcomp ;;
            ?: ) pathcomp="$pathcomp/" 
                 continue ;;
        esac
        if test ! -d "$pathcomp"; then
            echo "mkdir $pathcomp" 1>&2
            mkdir "$pathcomp" || errstatus=$?
        fi
        pathcomp="$pathcomp/"
    done
done
exit $errstatus

END mkdir.sh

BEGIN config_vars.mk.patch
*** /usr/lib/httpd/build/config_vars.mk.orig	2005-05-23 05:14:12.000000000 -0700
--- /usr/lib/httpd/build/config_vars.mk	2006-01-17 14:23:34.000000000 -0800
***************
*** 163,168 ****
--- 163,169 ----
  sbindir = /usr/sbin
  cgidir = ${datadir}/cgi-bin
  logfiledir = ${localstatedir}/logs
+ abs_srcdir=/usr/lib/httpd
  exec_prefix = /usr
  datadir = /var/www
  localstatedir = ${prefix}
END config_vars.mk.patch
Comment 1 bkyoung 2006-01-17 18:13:19 EST
Created attachment 123340 [details]
Support patches and files.
Comment 2 bkyoung 2006-01-18 22:21:31 EST
Fixed in httpd-2.2.0-4 and friends.

Note You need to log in before you can comment on or make changes to this bug.